<?php
// --- settings --------------------------
$uomTemp = ' &deg;F';
$uomBaro = ' inHg';
$uomWind = ' mph';
$uomRain = ' in';
$uomPerHour = '/hr';
$imagesDir = './ajax-images/';  // directory for ajax-images with trailing slash
//  $timeFormat = 'D, d-M-Y g:ia T';  // Fri, 31-Mar-2006 6:35pm TZone
  $timeFormat = 'd-M-Y g:ia';  // Fri, 31-Mar-2006 6:35pm TZone
  $ourTZ = "PST8PDT";  //NOTE: this *MUST* be set correctly to
// translate UTC times to your LOCAL time for the displays.
$WXtags  =  'testtags.php';  // source of our weather variables

// overrides from Settings.php if available
global $SITE;
if (isset($SITE['uomTemp']))         {$uomTemp = $SITE['uomTemp'];}
if (isset($SITE['uomBaro']))         {$uomBaro = $SITE['uomBaro'];}
if (isset($SITE['uomWind']))         {$uomWind = $SITE['uomWind'];}
if (isset($SITE['uomRain']))         {$uomRain = $SITE['uomRain'];}
if (isset($SITE['uomPerHour'])) {$uomPerHour = $SITE['uomPerHour'];}
if (isset($SITE['imagesDir']))         {$imagesDir = $SITE['imagesDir'];}
if (isset($SITE['timeFormat'])) {$timeFormat = $SITE['timeFormat'];}
if (isset($SITE['tz']))                 {$ourTZ = $SITE['tz'];}
if (isset($SITE['WXtags']))         {$WXtags = $SITE['WXtags'];}
// --- end of settings -------------------

if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
   //--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   
   readfile($filenameReal);
   exit;
}

include_once($WXtags);   // for the bulk of our data

# Set timezone in PHP5/PHP4 manner
  if (!function_exists('date_default_timezone_set')) {
	putenv("TZ=" . $ourTZ);
#	$Status .= "<!-- using putenv(\"TZ=$ourTZ\") -->\n";
    } else {
	date_default_timezone_set("$ourTZ");
#	$Status .= "<!-- using date_default_timezone_set(\"$ourTZ\") -->\n";
   }
  $UpdateDate = date($timeFormat,strtotime("$date_year-$date_month-$date_day  $time_hour:$time_minute:00"));
//  $UpdateDate = "$date_year-$date_month-$date_day  $time_hour:$time_minute:00";
// --- end of initialization code ---------
?>
<!-- begin ajax-gizmo.php -->
<div class="ajaxgizmo">
   <div class="doNotPrint">
	  <!-- ##### start of AJAX gizmo V1.04 Canada/USA/World ##### -->
	    <noscript>[Enable JavaScript for live updates]&nbsp;</noscript>
	    <span class="ajax" id="gizmoindicator">Updated</span>:&nbsp;
		<span class="ajax" id="gizmodate"><?php echo $UpdateDate;?></span>&nbsp; 
		<span class="ajax" id="gizmotime"></span>
		
	  <br/>&nbsp;<img src="<?php echo $imagesDir; ?>spacer.gif" height="14" width="1" alt=" " />
		<span class="ajaxcontent0" style="display: none">
		  <span class="ajax" id="gizmocurrentcond"><?php echo $current_summary; ?></span>
		</span>
		<span class="ajaxcontent1" style="display: none">Temperature: 
			<span class="ajax" id="gizmotemp"><?php echo gizmo_strip_units($temperature) . $uomTemp; ?></span> 
	        <span class="ajax" id="gizmotemparrow"><?php echo gizmo_gen_difference(
				   $temperature, gizmo_strip_units($temperature) -gizmo_strip_units($tempchangehour), '',
			       'Warmer %s'. $uomTemp .' than last hour.',
			       'Colder %s'. $uomTemp .' than last hour.');?>
			</span>&nbsp;
			<span class="ajax" id="gizmotemprate"></span> /hr
		</span>
		<span class="ajaxcontent2" style="display: none">Humidity: 
		  <span class="ajax" id="gizmohumidity"><?php 
			 echo $humidity; ?></span>%<?php
			 $t1 = preg_replace('|\s|s','',$humchangelasthour); 
			 echo gizmo_gen_difference($humidity, $humidity-$t1, '',
			 'Increased %s%% since last hour.',
			 'Decreased %s%% since last hour.');?>
		</span>
		<span class="ajaxcontent3" style="display: none">Dew Point: 
		  <span class="ajax" id="gizmodew"><?php 
			 $t1 = gizmo_strip_units($dewpt); 
			 echo $t1 . $uomTemp;  ?></span><?php
			 echo gizmo_gen_difference(
			 $dewpt, $t1-$dewchangelasthour, '',
			 'Increased %s'. $uomTemp .' since last hour.',
			 'Decreased %s'. $uomTemp .' since last hour.'); ?>
		</span>
		<span class="ajaxcontent4" style="display: none">Wind: 
	    	<span class="ajax" id="gizmowindicon"></span> 
			<span class="ajax" id="gizmowinddir"><?php echo $dirlabel; ?></span>&nbsp; 
			<span class="ajax" id="gizmowind"><?php echo gizmo_strip_units($avgspd) . $uomWind; ?></span>
		</span>
		<span class="ajaxcontent5" style="display: none">Gust: 
  			<span class="ajax" id="gizmogust"><?php echo gizmo_strip_units($gstspd) . $uomWind; ?></span>
		</span>
		<span class="ajaxcontent6" style="display: none">Pressure: 
    		<span class="ajax" id="gizmobaro"><?php 
			 $t1 = gizmo_strip_units($baro); 
			 echo $t1 . " $uomBaro"; ?></span><?php
			 echo gizmo_gen_difference($t1, $t1-gizmo_strip_units($trend), '',
			 'Rising %s '. $uomBaro . $uomPerHour,'Falling %s ' . $uomBaro . $uomPerHour); ?>&nbsp;
             <span class="ajax" id="gizmobarotrendtext"><?php echo $pressuretrendname; ?></span>			
		</span> 
		<span class="ajaxcontent7" style="display: none">Rain Today: 
    		<span class="ajax" id="gizmorain"><?php 
			 echo gizmo_strip_units($dayrn).$uomRain; ?></span>
		</span>
		<span class="ajaxcontent8" style="display: none">UV-index: 
           <span class="ajax" id="gizmouv"><?php echo $VPuv; ?></span>&nbsp;
		   <span style="color: #ffffff">
	         <span class="ajax" id="gizmouvword"><?php echo gizmo_get_UVrange($VPuv); ?></span>
		   </span>
		</span>
	  </div>
	  <!-- ##### end of AJAX gizmo  ##### -->

</div>
<!-- end of ajax-gizmo.php -->
<?php


//=========================================================================
//
// Functions
//
//=========================================================================
//  generate an up/down arrow to show differences

function gizmo_gen_difference( $nowTemp, $yesterTemp, $Legend, $textUP, $textDN) {
  global $imagesDir;
  $diff = round(gizmo_strip_units($nowTemp) - gizmo_strip_units($yesterTemp),3);
  $absDiff = abs($diff);
  $diffStr = sprintf("%01.0f",$diff);
  $absDiffStr = sprintf("%01.0f",$absDiff);
  if ($diff == 0) {
 // no change

$image = '&nbsp;'; 
  
  } elseif ($diff > 0) {
// today is greater 
$msg = sprintf($textUP,$absDiff); 
$image = "<img src=\"${imagesDir}rising.gif\" alt=\"$msg\" title=\"$msg\" width=\"7\" height=\"8\" style=\"border: 0; margin: 1px 3px;\" />";

  
  } else {
// today is lesser
$msg = sprintf($textDN,$absDiff); 
$image = "<img src=\"${imagesDir}falling.gif\" alt=\"$msg\" title=\"$msg\" width=\"7\" height=\"8\" style=\"border: 0; margin: 1px 3px;\" />";
   
  }
   if ($Legend) {
       return ($diff . $Legend . $image);
	} else {
	   return $image;
	}
}

//=========================================================================
//  decode UV to word+color for display

function gizmo_get_UVrange ( $uv ) {
// figure out a text value and color for UV exposure text
//  0 to 2  Low
//  3 to 5 	Moderate
//  6 to 7 	High
//  8 to 10 Very High
//  11+ 	Extreme
   switch (TRUE) {
     case ($uv == 0):
       $uv = 'None';
     break;
     case (($uv > 0) and ($uv < 3)):
       $uv = '<span style="border: solid 1px; background-color: #A4CE6a;">&nbsp;Low&nbsp;</span>';
     break;
     case (($uv >= 3) and ($uv < 6)):
       $uv = '<span style="border: solid 1px;background-color: #FBEE09;">&nbsp;Medium&nbsp;</span>';
     break;
     case (($uv >=6 ) and ($uv < 8)):
       $uv = '<span style="border: solid 1px; background-color: #FD9125;">&nbsp;High&nbsp;</span>';
     break;
     case (($uv >=8 ) and ($uv < 11)):
       $uv = '<span style="border: solid 1px; color: #FFFFFF; background-color: #F63F37;">&nbsp;Very&nbsp;High&nbsp;</span>';
     break;
     case (($uv >= 11) ):
       $uv = '<span style="border: solid 1px; color: #FFFF00; background-color: #807780;">&nbsp;Extreme&nbsp;</span>';
     break;
   } // end switch
   return $uv;
} // end gizmo_get_UVrange


//=========================================================================
// strip trailing units from a measurement
// i.e. '30.01 in. Hg' becomes '30.01'
function gizmo_strip_units ($data) {
  preg_match('/([\d\.\+\-]+)/',$data,$t);
  return $t[1];
}

// end of functions
//=========================================================================

?>